apiguide
=============

Node.js module to generate jsdoc with theme colors.

<!-- Badge start -->

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

Usage
-----


```javascript
var apiguide = require('apiguide');
apiguide([
    "lib/**/*.js",
    "README.md"
], {
    destination: "docs/apiguide",
    verbose: true,
    templates: {
        color: '#38E'
    }
}, function(err) {

});
```

Options
-----

| Key | Description | 
| --- | ----------- |
| verbose | Verbose or not. |
| tutorials | Directory path for tutorials. |
| destination | Destination directory path. |
| templates | Markup options. |
| templates.systemName | Name of theme. |
| templates.footer | Footer html. |
| templates.copyright | Copyright string. |
| templates.color | Theme color. |


Installation
-----

```bash
npm install argx --save-dev
```


License
-------
This software is released under the [MIT License][my_license_url].



<!-- Links start -->

[nodejs_url]: http://nodejs.org/
[npm_url]: https://www.npmjs.com/
[nvm_url]: https://github.com/creationix/nvm
[bitdeli_url]: https://bitdeli.com/free
[my_bitdeli_badge_url]: https://d2weczhvl823v0.cloudfront.net/okunishinishi/node-apiguide/trend.png
[my_repo_url]: https://github.com/okunishinishi/node-apiguide
[my_travis_url]: http://travis-ci.org/okunishinishi/node-apiguide
[my_travis_badge_url]: http://img.shields.io/travis/okunishinishi/node-apiguide.svg?style=flat
[my_license_url]: https://github.com/okunishinishi/node-apiguide/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/okunishinishi/node-apiguide
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/okunishinishi/node-apiguide.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/okunishinishi/node-apiguide.svg?style=flat
[my_apiguide_url]: http://okunishinishi.github.io/node-apiguide/apiguide
[my_lib_apiguide_url]: http://okunishinishi.github.io/node-apiguide/apiguide/module-apiguide_lib.html
[my_coverage_url]: http://okunishinishi.github.io/node-apiguide/coverage/lcov-report
[my_coverage_report_url]: http://okunishinishi.github.io/node-apiguide/coverage/lcov-report/
[my_gratipay_url]: https://gratipay.com/okunishinishi/
[my_gratipay_budge_url]: http://img.shields.io/gratipay/okunishinishi.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apiguide
[my_npm_budge_url]: http://img.shields.io/npm/v/apiguide.svg?style=flat
[my_tag_url]: http://github.com/okunishinishi/node-apiguide/releases/tag/
[my_tag_badge_url]: http://img.shields.io/github/tag/okunishinishi/node-apiguide.svg?style=flat

<!-- Links end -->