/**
 * Execute jsdoc command.
 * @memberof module:apiguide/lib
 * @function _execJsdoc
 * @param {string[]} filenames - Source file names.
 * @param {object} options - Jsdoc options.
 * @param {function} callback - Callback when done.
 */

"use strict";

var async = require('async'),
    glob = require('glob'),
    execcli = require('execcli'),
    jsdoc = require.resolve('jsdoc/jsdoc');

/** @lends _execJsdoc */
function _execJsdoc(filenames, options, callback) {
    async.waterfall([
        function (callback) {
            async.concat(filenames, glob, callback);
        },
        function (filenames, callback) {
            execcli.apply(execcli, [jsdoc].concat(filenames).concat(options).concat(callback));
        }
    ], callback);
}

module.exports = _execJsdoc;
